@charset "UTF-8";

/* ===== ヘッダー（共通） ===== */
.header-top {
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 10px 20px;
}

.site-logo {
  width: 100%;
  margin-bottom: 10px;
  display: flex;
}

.site-logo img {
  width: auto; 
  height: 120px;
  max-width: 100%;
  object-fit: contain;
}

@media (max-width: 767px) {
  .site-logo {
    height: 80%;
  }
}

/* メインメニュー */
.box-menu {
  background: #fff;
  font-family: sans-serif;
  margin: 30px;
}

.box-menu > ul {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  list-style: none;
  margin: 0;
  padding: 0;
}

.box-menu > ul > li {
  position: relative;
  flex: 1;
  text-align: center;
}

.box-menu > ul > li > a {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 25px 5px;
  color: var(--main-color);
  text-decoration: none;
  border: 2px solid var(--main-color);
  border-radius: 12px;
  background: #fff;
  gap: 10px;
  transition: all 0.3s ease;
}

.box-menu > ul > li > a i {
  font-size: 36px;
}

.box-menu > ul > li > a:hover {
  background: var(--sub-color);
  border: 2px solid var(--accent-color);
}

/* サブメニュー */
.submenu {
  display: none;
  flex-direction: column;
  position: absolute;
  top: 100%;
  left: 0;
  background: rgba(255, 255, 255, 0.9);
  min-width: 280px;
  z-index: 999;
  list-style: none;
  padding: 0;
  margin: 0;
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.submenu li a {
  display: flex;
  align-items: center;
  padding: 10px 15px;
  color: var(--main-color);
  text-decoration: none;
  font-size: 16px;
  gap: 8px;
}

.submenu li a:hover {
  background: rgba(242, 251, 243, 1);
}

/* PC版のホバー表示 */
@media (min-width: 769px) {
  .box-menu li.has-submenu:hover > .submenu {
    display: flex;
  }
  .hamburger {
    display: none;
  }
}

/* スマホ版 */
@media (max-width: 768px) {
  .hamburger {
    display: flex;
    cursor: pointer;
    font-size: 28px;
    padding: 10px 0;
    color: var(--main-color);
  }

  #menu-list {
    display: none;
    flex-direction: column;
    width: 100%;
     padding: 0;
    margin: 0;
 }

  .submenu {
    position: static;
    display: none;
  }

  /* 各メニュー項目を横並びに変更 */
  .box-menu > ul > li > a {
    flex-direction: row;
    justify-content: flex-start;
    padding: 15px 20px;
    gap: 15px; 
    border-radius: 12px;
  }

  .box-menu > ul > li > a i {
    font-size: 24px;
    margin-bottom: 0;
    width: 30px;
    text-align: center;
  }

  /* サブメニューも同様に調整 */
  .submenu li a {
    padding-left: 45px;
    background-color: #fff;
  }

}